DIFF3(1)

NAME
diff3 - compare three files line by line

SYNOPSIS
diff3 [OPTION]... MYFILE OLDFILE YOURFILE

DESCRIPTION
Compare three files line by line.

-e  --ed
    Output unmerged changes from OLDFILE to YOURFILE into MYFILE.

-E  --show-overlap
    Output unmerged changes, bracketing conflicts.

-A  --show-all
    Output all changes, bracketing conflicts.

-x  --overlap-only
    Output overlapping changes.

-X  Output overlapping changes, bracketing them.

-3  --easy-only
    Output unmerged nonoverlapping changes.

-m  --merge
    Output merged file instead of ed script (default -A).

-L LABEL  --label=LABEL
    Use LABEL instead of file name.

-i  Append `w' and `q' commands to ed scripts.

-a  --text
    Treat all files as text.

--strip-trailing-cr
    Strip trailing carriage return on input.

-T  --initial-tab
    Make tabs line up by prepending a tab.

--diff-program=PROGRAM
    Use PROGRAM to compare files.

-v  --version
    Output version info.

--help
    Output this help.

If a FILE is `-', read standard input. Exit status is 0 if successful, 1 if conflicts, 2 if trouble.

AUTHOR
Written by Randy Smith.

REPORTING BUGS
Report bugs to: bug-diffutils@gnu.org GNU diffutils home page: <http://www.gnu.org/software/diffutils/> General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for diff3 is maintained as a Texinfo manual. If the info and diff3 programs are properly installed at your site, the command

    info diff

should give you access to the complete manual.